#ifndef _Handle_PGeom_SurfaceOfRevolution_HeaderFile
#define _Handle_PGeom_SurfaceOfRevolution_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_SweptSurface_HeaderFile
#include <Handle_PGeom_SweptSurface.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_SweptSurface);
class PGeom_SurfaceOfRevolution;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_SurfaceOfRevolution);

class Handle(PGeom_SurfaceOfRevolution) : public Handle(PGeom_SweptSurface) {
  public:

    Handle(PGeom_SurfaceOfRevolution)():Handle(PGeom_SweptSurface)() {} 
    Handle(PGeom_SurfaceOfRevolution)(const Handle(PGeom_SurfaceOfRevolution)& aHandle) : Handle(PGeom_SweptSurface)(aHandle) 
     {
     }

    Handle(PGeom_SurfaceOfRevolution)(const PGeom_SurfaceOfRevolution* anItem) : Handle(PGeom_SweptSurface)((PGeom_SweptSurface *)anItem) 
     {
     }

    Handle(PGeom_SurfaceOfRevolution)& operator=(const Handle(PGeom_SurfaceOfRevolution)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_SurfaceOfRevolution)& operator=(const PGeom_SurfaceOfRevolution* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_SurfaceOfRevolution* operator->() const 
     {
      return (PGeom_SurfaceOfRevolution *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_SurfaceOfRevolution) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
